Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # PointNDConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename P> struct boost::gil::PointNDConcept< P > N-dimensional point concept.
    concept PointNDConcept<typename T> : Regular<T> {
        // the type of a coordinate along each axis
        template <size_t K> struct axis; where Metafunction<axis>;

        const size_t num_dimensions;

        // accessor/modifier of the value of each axis.
        template <size_t K> const typename axis<K>::type& T::axis_value() const;
        template <size_t K>       typename axis<K>::type& T::axis_value();
    };
## Public Member Functions
void | constraints ()
## Public Attributes
P | point
The documentation for this struct was generated from the following file: gil_concept.hpp